Package org.flowable.engine

# Class DefaultCandidateManager

java.lang.Object
org.flowable.engine.impl.persistence.AbstractManager
org.flowable.engine.DefaultCandidateManager

All Implemented Interfaces:
  `CandidateManager`

public class DefaultCandidateManager extends org.flowable.engine.impl.persistence.AbstractManager implements CandidateManager

- ## Field Summary

  ### Fields inherited from class org.flowable.engine.impl.persistence.AbstractManager

  `processEngineConfiguration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCandidateManager(org.flowable.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getGroupsForCandidateUser(String candidateUser)`

  ### Methods inherited from class org.flowable.engine.impl.persistence.AbstractManager

  `getActivityInstanceEntityManager, getAsyncExecutor, getAttachmentEntityManager, getByteArrayEntityManager, getClock, getCommandContext, getCommandExecutor, getCommentEntityManager, getDeploymentEntityManager, getEventDispatcher, getExecutionEntityManager, getHistoricActivityInstanceEntityManager, getHistoricDetailEntityManager, getHistoricProcessInstanceEntityManager, getHistoryManager, getModelEntityManager, getProcessDefinitionEntityManager, getProcessDefinitionInfoEntityManager, getProcessEngineConfiguration, getResourceEntityManager, getSession`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCandidateManager

    public DefaultCandidateManager(org.flowable.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)

- ## Method Details

  - ### getGroupsForCandidateUser

    public List<String> getGroupsForCandidateUser(String candidateUser)
    Specified by:
      `getGroupsForCandidateUser` in interface `CandidateManager`